# rpmio/rpmcb.h File Reference

`#include <rpmlog.h>`

Include dependency graph for rpmcb.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Defines

#define | rpmSetVerbosity(_lvl) ((void)rpmlogSetMask( RPMLOG_UPTO( RPMLOG_PRI(_lvl))))
#define | rpmIncreaseVerbosity() ((void)rpmlogSetMask(((((unsigned)(rpmlogSetMask(0) & 0xff)) << 1) | 1)))
#define | rpmDecreaseVerbosity() ((void)rpmlogSetMask((((int)(rpmlogSetMask(0) & 0xff)) >> 1)))
#define | rpmIsNormal() (rpmlogSetMask(0) >= RPMLOG_MASK( RPMLOG_NOTICE ))
#define | rpmIsVerbose() (rpmlogSetMask(0) >= RPMLOG_MASK( RPMLOG_INFO ))
#define | rpmIsDebug() (rpmlogSetMask(0) >= RPMLOG_MASK( RPMLOG_DEBUG ))

## Typedefs

typedef const void * | fnpyKey
typedef enum rpmCallbackType_e | rpmCallbackType
| Bit(s) to identify progress callbacks.
typedef void * | rpmCallbackData
typedef void *(* | rpmCallbackFunction )(const void *h, const rpmCallbackType what, const uint64_t amount, const uint64_t total, fnpyKey key, rpmCallbackData data)

## Enumerations

enum

rpmCallbackType_e {
RPMCALLBACK_UNKNOWN = 0, RPMCALLBACK_INST_PROGRESS = (1 << 0), RPMCALLBACK_INST_START = (1 << 1), RPMCALLBACK_INST_OPEN_FILE = (1 << 2),
RPMCALLBACK_INST_CLOSE_FILE = (1 << 3), RPMCALLBACK_TRANS_PROGRESS = (1 << 4), RPMCALLBACK_TRANS_START = (1 << 5), RPMCALLBACK_TRANS_STOP = (1 << 6),
RPMCALLBACK_UNINST_PROGRESS = (1 << 7), RPMCALLBACK_UNINST_START = (1 << 8), RPMCALLBACK_UNINST_STOP = (1 << 9), RPMCALLBACK_REPACKAGE_PROGRESS = (1 << 10),
RPMCALLBACK_REPACKAGE_START = (1 << 11), RPMCALLBACK_REPACKAGE_STOP = (1 << 12), RPMCALLBACK_UNPACK_ERROR = (1 << 13), RPMCALLBACK_CPIO_ERROR = (1 << 14),
RPMCALLBACK_SCRIPT_ERROR = (1 << 15)
}

| Bit(s) to identify progress callbacks. More...

## Functions

void | urlSetCallback (rpmCallbackFunction notify, rpmCallbackData notifyData, int notifyCount)

## Detailed Description

Definition in file rpmcb.h.

## Define Documentation

#define rpmDecreaseVerbosity | ( |  | ) | ((void)rpmlogSetMask((((int)(rpmlogSetMask(0) & 0xff)) >> 1)))

Definition at line 17 of file rpmcb.h.

#define rpmIncreaseVerbosity | ( |  | ) | ((void)rpmlogSetMask(((((unsigned)(rpmlogSetMask(0) & 0xff)) << 1) | 1)))

Definition at line 15 of file rpmcb.h.

Referenced by main(), rpmcliAllArgCallback(), and rpmcliInit().

#define rpmIsDebug | ( |  | ) | (rpmlogSetMask(0) >= RPMLOG_MASK( RPMLOG_DEBUG ))

Definition at line 23 of file rpmcb.h.

Referenced by headerCheck(), lzdClose(), rpmdepPrint(), rpmReadPackageFile(), rpmRollback(), rpmVerifySignatures(), and runScript().

#define rpmIsNormal | ( |  | ) | (rpmlogSetMask(0) >= RPMLOG_MASK( RPMLOG_NOTICE ))

Definition at line 19 of file rpmcb.h.

#define rpmIsVerbose | ( |  | ) | (rpmlogSetMask(0) >= RPMLOG_MASK( RPMLOG_INFO ))

Definition at line 21 of file rpmcb.h.

Referenced by doUntar(), main(), prepFetch(), prepFetchVerbose(), printUsage(), printVersion(), rpmCheckPassPhrase(), rpmcliInstall(), rpmdepPrint(), rpmDisplayQueryTags(), rpmErase(), rpmgiNext(), rpmInstallSource(), rpmRollback(), rpmShowRC(), rpmtsAddInstallElement(), rpmVerifySignatures(), runScript(), showQueryPackage(), showVerifyPackage(), and verifyHeader().

#define rpmSetVerbosity | ( | _lvl |  | ) | ((void)rpmlogSetMask( RPMLOG_UPTO( RPMLOG_PRI(_lvl))))

Todo:
  These convenience macros belong somewhere else.

Definition at line 13 of file rpmcb.h.

Referenced by rpmcliAllArgCallback(), rpmcliInit(), and setVerbosity().

## Typedef Documentation

typedef const void* fnpyKey

Definition at line 27 of file rpmcb.h.

typedef void* rpmCallbackData

Definition at line 55 of file rpmcb.h.

typedef void*(* rpmCallbackFunction)(const void *h, const rpmCallbackType what, const uint64_t amount, const uint64_t total,fnpyKey key,rpmCallbackData data)

Definition at line 64 of file rpmcb.h.

typedef enum rpmCallbackType_e rpmCallbackType

Bit(s) to identify progress callbacks.

## Enumeration Type Documentation

enum rpmCallbackType_e

Bit(s) to identify progress callbacks.

Enumerator:

  RPMCALLBACK_UNKNOWN |
  RPMCALLBACK_INST_PROGRESS |
  RPMCALLBACK_INST_START |
  RPMCALLBACK_INST_OPEN_FILE |
  RPMCALLBACK_INST_CLOSE_FILE |
  RPMCALLBACK_TRANS_PROGRESS |
  RPMCALLBACK_TRANS_START |
  RPMCALLBACK_TRANS_STOP |
  RPMCALLBACK_UNINST_PROGRESS |
  RPMCALLBACK_UNINST_START |
  RPMCALLBACK_UNINST_STOP |
  RPMCALLBACK_REPACKAGE_PROGRESS |
  RPMCALLBACK_REPACKAGE_START |
  RPMCALLBACK_REPACKAGE_STOP |
  RPMCALLBACK_UNPACK_ERROR |
  RPMCALLBACK_CPIO_ERROR |
  RPMCALLBACK_SCRIPT_ERROR |

Definition at line 33 of file rpmcb.h.

## Function Documentation

void urlSetCallback | ( | rpmCallbackFunction | notify,
|  | rpmCallbackData | notifyData,
|  | int | notifyCount |
| ) |  |  |

Definition at line 1514 of file rpmio.c.